# Copyright (c) 2007-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define _prefix	/usr

Name:			calf
Summary:		Calf is a set of audio effect plugins
Version:		0.0.18.6
Release:		1.2
Group:			Productivity/Multimedia/Sound/Utilities
License:		GPL
URL:			http://calf.sourceforge.net/
Source0:		%{name}-%{version}.tar.gz
Source90:		%{name}-rpmlintrc
BuildRoot:		%{_tmppath}/%{name}-%{version}-build
BuildRequires:	alsa-devel
BuildRequires:	dssi-devel
BuildRequires:	gcc-c++
BuildRequires:	gtk2-devel
BuildRequires:	ladspa-devel
BuildRequires:	lash-devel
BuildRequires:	libexpat-devel
BuildRequires:	libglade2-devel
BuildRequires:	libgnomecanvas-devel
BuildRequires:	libjack-devel
BuildRequires:	liblo-devel
BuildRequires:	lv2core-devel
BuildRequires:	readline-devel
BuildRequires:	update-desktop-files
BuildRequires:	libsndfile-devel

Requires:		jack
Requires:		lash

%description
The Calf project aims to provide a set of high quality audio plugins
for musicians, possibly in many different plugin formats, so that
you can use it no matter what audio applications you're accustomed
to. I aim at making these plugins high quality, even if it means
sacrificing performance or compatibility with old CPUs (there are
enough basic plugins available, it made sense to work on something
that wasn't covered before).

Currently available plugins:
* Flanger with linear interpolation. In case 'zipper noise' of basic
flanger effects was driving you mad, use this one!
* Simple reverb with basic controls and relatively neutral sound. No
dreaded metal barrel sound, at expense of higher CPU use and less time
density.
* Multimode filter (selectable 12dB/24dB/36dB rolloff, lowpass or
highpass) with inertia/smoothing for cutoff for more 'analog' sound
when tweaking 

All the plugins are available in following formats:
* LADSPA (complete with RDF file)
* Standalone JACK client application with auto-generated GUI 

%package -n ladspa-calf
Summary:	Calf ladspa-plugins
Group:		Productivity/Multimedia/Sound/Utilities
Requires:	ladspa

%description -n ladspa-calf
Calf ladspa-plugins.

Currently available plugins:
* Flanger with linear interpolation. In case 'zipper noise' of basic
flanger effects was driving you mad, use this one!
* Simple reverb with basic controls and relatively neutral sound. No
dreaded metal barrel sound, at expense of higher CPU use and less time
density.
* Multimode filter (selectable 12dB/24dB/36dB rolloff, lowpass or
highpass) with inertia/smoothing for cutoff for more 'analog' sound
when tweaking 

%package -n dssi-calf
Summary:	Calf DSSI plugins
Group:		Productivity/Multimedia/Sound/Utilities
Requires:	dssi
Requires:	%{name} = %{version}

%description -n dssi-calf
Calf DSSI plugins.

%package -n lv2-calf
Summary:	Calf LV2 plugins
Group:		Productivity/Multimedia/Sound/Utilities
Requires:	%{name} = %{version}

%description -n lv2-calf
Calf LV2 plugins.



%prep
%setup -q -n %{name}-%{version}
%{?suse_update_config:%{suse_update_config -f}}

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CPPFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS"
%configure \
	--with-ladspa-dir=%{_libdir}/ladspa \
	--with-ladspa-rdf-dir=%{_datadir}/ladspa/rdf \
	--with-dssi-dir=%{_libdir}/dssi \
	--with-lv2-dir=%{_libdir}/lv2
#	--enable-experimental

%__make %{?jobs:-j%{jobs}} \
	pkglibdir=%{_libdir}/%{name}

%install
%makeinstall \
	pkglibdir=%{_libdir}/%{name}

# icon
%__install -dm 755 %{buildroot}%{_datadir}/pixmaps
%__install -m 644 icons/calf_48x48.png \
	%{buildroot}%{_datadir}/pixmaps/%{name}.png

# menu-entry
%__cat > %{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=%{name}
GenericName=%{name}
Comment=Calf is a set of audio effect plugins
Exec=calfjackhost
Icon=%{name}
#Categories=AudioVideo;Music;
EOF
%suse_update_desktop_file -i %{name} AudioVideo Music

%__rm %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-, root, root)
%doc AUTHORS COPYING TODO README
%{_bindir}/calfjackhost
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}.glade
%{_datadir}/%{name}/gui-*.xml
%{_datadir}/%{name}/knob.png
%{_datadir}/%{name}/presets.xml
%{_mandir}/man1/calfjackhost.1.gz
%{_mandir}/man7/%{name}.7.gz
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/%{name}.desktop

%files -n ladspa-calf
%defattr(-, root, root)
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/%{name}.so
%dir %{_datadir}/ladspa
%dir %{_datadir}/ladspa/rdf
%{_datadir}/ladspa/rdf/%{name}.rdf

%files -n dssi-calf
%defattr(-, root, root)
%dir %{_libdir}/dssi
%{_libdir}/dssi/%{name}.so
%dir %{_libdir}/dssi/%{name}
%{_libdir}/dssi/%{name}/calf_gtk

%files -n lv2-calf
%defattr(-, root, root)
%dir %{_libdir}/lv2
%dir %{_libdir}/lv2/%{name}.lv2
%{_libdir}/lv2/%{name}.lv2/%{name}.so
%{_libdir}/lv2/%{name}.lv2/calflv2gui.so
%{_libdir}/lv2/%{name}.lv2/*.ttl

%changelog
# vim: set sw=4 ts=4 et:
